Subject: Re: bug#35591: Segfault on flatpak remote-add

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 11 May 2020 23:38:05 +0200

Ricardo Wurmus <[email-masked]> writes:

> Ben Sturmfels <[email-masked]> writes:
>
>> On Sun, 05 May 2019, Jonathan Frederickson wrote:
>>
>>> I'm attempting to use Flatpak on my Guix system, and I'm experiencing
>>> segfaults when attempting to add a remote repo. Provided below are the
>>> output of the command I'm attempting to run, as well as some info
>>> about my system.
>>
>> I learnt on #guix IRC that flatpak works when run with the --user flag:
>>
>> $ flatpak --user remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
>> $ flatpak install flathub org.gnome.Builder
>> $ flatpak run org.gnome.Builder
>>
>> The segfaulting behaviour is still a bug in my opinion, because it's
>> extremely user un-friendly, and the requirement for --user is not
>> obvious.
>
> Yes, segfaults are always bugs, unless you forced the program to
> load garbage.
>
> I traced the execution of flatpak and saw that it segfaults right after
> failing to created /var/lib/flatpak.  Sure enough, after creating it
> manually the program no longer segfaults.

I reported this here:

    https://github.com/flatpak/flatpak/issues/3612

I’d say we close this issue here, because the segfault isn’t our fault.

Thoughts?

--
Ricardo